Odoo中文社区可以通过以下两个域名访问:shine-it.net , odoo.net.cn

由于系统升迁的原因,本论坛部分较早期的内容存在格式和链接损坏失效的问题,并非本论坛系统本身的缺陷,望谅解

本社区没有维护任何QQ群讨论组,任何与本社区同名的QQ群讨论组的言论与本社区无关!

开发人员可以登录gitter讨论组: http://gitter.im/odoo-china/Talk, 需要github账号

如果您登录系统碰到问题,请在微信公众号留言:

Odoo13新手求助



  • 2020-09-02 08:55:23,411 181764 ERROR demo odoo.http: Exception during JSON request handling.
    Traceback (most recent call last):
    File "/home/odoo/odoo-dev/odoo/odoo/tools/convert.py", line 712, in parse
    self._tag_root(de)
    File "/home/odoo/odoo-dev/odoo/odoo/tools/convert.py", line 674, in _tag_root
    f(rec)
    File "/home/odoo/odoo-dev/odoo/odoo/tools/convert.py", line 674, in _tag_root
    f(rec)
    File "/home/odoo/odoo-dev/odoo/odoo/tools/convert.py", line 577, in _tag_record
    record = model._load_records([data], self.mode == 'update')
    File "/home/odoo/odoo-dev/odoo/odoo/models.py", line 4084, in _load_records
    records = self._load_records_create([data['values'] for data in to_create])
    File "/home/odoo/odoo-dev/odoo/odoo/models.py", line 3998, in _load_records_create
    return self.create(values)
    File "", line 2, in create
    File "/home/odoo/odoo-dev/odoo/odoo/api.py", line 336, in _model_create_multi
    return create(self, arg)
    File "/home/odoo/odoo-dev/odoo/odoo/addons/base/models/ir_actions.py", line 235, in create
    return super(IrActionsActWindow, self).create(vals_list)
    File "", line 2, in create
    File "/home/odoo/odoo-dev/odoo/odoo/api.py", line 336, in _model_create_multi
    return create(self, arg)
    File "/home/odoo/odoo-dev/odoo/odoo/addons/base/models/ir_actions.py", line 59, in create
    res = super(IrActions, self).create(vals_list)
    File "", line 2, in create
    File "/home/odoo/odoo-dev/odoo/odoo/api.py", line 336, in _model_create_multi
    return create(self, arg)
    File "/home/odoo/odoo-dev/odoo/odoo/models.py", line 3703, in create
    raise ValueError("Invalid field %r on model %r" % (key, self._name))
    ValueError: Invalid field 'view_type' on model 'ir.actions.act_window'

    During handling of the above exception, another exception occurred:

    Traceback (most recent call last):
    File "/home/odoo/odoo-dev/odoo/odoo/http.py", line 624, in _handle_exception
    return super(JsonRequest, self)._handle_exception(exception)
    File "/home/odoo/odoo-dev/odoo/odoo/http.py", line 310, in _handle_exception
    raise pycompat.reraise(type(exception), exception, sys.exc_info()[2])
    File "/home/odoo/odoo-dev/odoo/odoo/tools/pycompat.py", line 14, in reraise
    raise value
    File "/home/odoo/odoo-dev/odoo/odoo/http.py", line 669, in dispatch
    result = self._call_function(**self.params)
    File "/home/odoo/odoo-dev/odoo/odoo/http.py", line 350, in _call_function
    return checked_call(self.db, *args, **kwargs)
    File "/home/odoo/odoo-dev/odoo/odoo/service/model.py", line 94, in wrapper
    return f(dbname, *args, **kwargs)
    File "/home/odoo/odoo-dev/odoo/odoo/http.py", line 339, in checked_call
    result = self.endpoint(*a, **kw)
    File "/home/odoo/odoo-dev/odoo/odoo/http.py", line 915, in call
    return self.method(*args, **kw)
    File "/home/odoo/odoo-dev/odoo/odoo/http.py", line 515, in response_wrap
    response = f(*args, **kw)
    File "/home/odoo/odoo-dev/odoo/addons/web/controllers/main.py", line 1326, in call_button
    action = self._call_kw(model, method, args, kwargs)
    File "/home/odoo/odoo-dev/odoo/addons/web/controllers/main.py", line 1314, in _call_kw
    return call_kw(request.env[model], method, args, kwargs)
    File "/home/odoo/odoo-dev/odoo/odoo/api.py", line 387, in call_kw
    result = _call_kw_multi(method, model, args, kwargs)
    File "/home/odoo/odoo-dev/odoo/odoo/api.py", line 374, in _call_kw_multi
    result = method(recs, *args, **kwargs)
    File "", line 2, in button_immediate_install
    File "/home/odoo/odoo-dev/odoo/odoo/addons/base/models/ir_module.py", line 72, in check_and_log
    return method(self, *args, **kwargs)
    File "/home/odoo/odoo-dev/odoo/odoo/addons/base/models/ir_module.py", line 463, in button_immediate_install
    return self._button_immediate_function(type(self).button_install)
    File "/home/odoo/odoo-dev/odoo/odoo/addons/base/models/ir_module.py", line 573, in _button_immediate_functi on
    modules.registry.Registry.new(self._cr.dbname, update_module=True)
    File "/home/odoo/odoo-dev/odoo/odoo/modules/registry.py", line 86, in new
    odoo.modules.load_modules(registry._db, force_demo, status, update_module)
    File "/home/odoo/odoo-dev/odoo/odoo/modules/loading.py", line 421, in load_modules
    processed_modules += load_marked_modules(cr, graph,
    File "/home/odoo/odoo-dev/odoo/odoo/modules/loading.py", line 313, in load_marked_modules
    loaded, processed = load_module_graph(
    File "/home/odoo/odoo-dev/odoo/odoo/modules/loading.py", line 225, in load_module_graph
    load_data(cr, idref, mode, kind='data', package=package, report=report)
    File "/home/odoo/odoo-dev/odoo/odoo/modules/loading.py", line 68, in load_data
    tools.convert_file(cr, package.name, filename, idref, mode, noupdate, kind, report)
    File "/home/odoo/odoo-dev/odoo/odoo/tools/convert.py", line 736, in convert_file
    convert_xml_import(cr, module, fp, idref, mode, noupdate, report)
    File "/home/odoo/odoo-dev/odoo/odoo/tools/convert.py", line 803, in convert_xml_import
    obj.parse(doc.getroot())
    File "/home/odoo/odoo-dev/odoo/odoo/tools/convert.py", line 715, in parse
    pycompat.reraise(
    File "/home/odoo/odoo-dev/odoo/odoo/tools/pycompat.py", line 13, in reraise
    raise value.with_traceback(tb)
    File "/home/odoo/odoo-dev/odoo/odoo/tools/convert.py", line 712, in parse
    self._tag_root(de)
    File "/home/odoo/odoo-dev/odoo/odoo/tools/convert.py", line 674, in _tag_root
    f(rec)
    File "/home/odoo/odoo-dev/odoo/odoo/tools/convert.py", line 674, in _tag_root
    f(rec)
    File "/home/odoo/odoo-dev/odoo/odoo/tools/convert.py", line 577, in _tag_record
    record = model._load_records([data], self.mode == 'update')
    File "/home/odoo/odoo-dev/odoo/odoo/models.py", line 4084, in _load_records
    records = self._load_records_create([data['values'] for data in to_create])
    File "/home/odoo/odoo-dev/odoo/odoo/models.py", line 3998, in _load_records_create
    return self.create(values)
    File "", line 2, in create
    File "/home/odoo/odoo-dev/odoo/odoo/api.py", line 336, in _model_create_multi
    return create(self, arg)
    File "/home/odoo/odoo-dev/odoo/odoo/addons/base/models/ir_actions.py", line 235, in create
    return super(IrActionsActWindow, self).create(vals_list)
    File "", line 2, in create
    File "/home/odoo/odoo-dev/odoo/odoo/api.py", line 336, in _model_create_multi
    return create(self, arg)
    File "/home/odoo/odoo-dev/odoo/odoo/addons/base/models/ir_actions.py", line 59, in create
    res = super(IrActions, self).create(vals_list)
    File "", line 2, in create
    File "/home/odoo/odoo-dev/odoo/odoo/api.py", line 336, in _model_create_multi
    return create(self, arg)
    File "/home/odoo/odoo-dev/odoo/odoo/models.py", line 3703, in create
    raise ValueError("Invalid field %r on model %r" % (key, self._name))
    odoo.tools.convert.ParseError: "Invalid field 'view_type' on model 'ir.actions.act_window'" while parsing /ho me/odoo/odoo-dev/odoo/mymodules/openacademy/views/views.xml:1, near



    Courses
    openacademy.course
    form
    tree,form

    Create the first course



    <!-- top level menu: no parent -->
    <menuitem id="main_openacademy_menu" name="Open Academy"/>
    <!-- A first level in the left side menu is needed
          before using action= attribute -->
    <menuitem id="openacademy_menu" name="Open Academy" parent="main_openacademy_menu"/>
    <!-- the following menuitem should appear *after*
          its parent openacademy_menu and *after* its
          action course_list_action -->
    <menuitem id="courses_menu" name="Courses" parent="openacademy_menu" action="course_list_action"/>
    <!-- explicit list view definition -->
    
    <!-- actions opening views on models -->
    
    <!-- server action to the one above -->
    
    <!-- Top menu item -->
    
    <!-- menu categories -->
    
    <!-- actions -->
    

  • 管理员

    @手可摘星辰Odoo13新手求助 中说:

    odoo.tools.convert.ParseError: "Invalid field 'view_type' on model 'ir.actions.act_window'" while parsing /ho me/odoo/odoo-dev/odoo/mymodules/openacademy/views/views.xml:1, near

    检查下你的views.xml,view_type是旧版本才使用的,在Odoo V13可以去掉了。


Log in to reply